
$root_path="C:\Games"

Write-Host ""
Write-Host "  Install dir    :" $root_path

$current_dir=Get-Location

$current_name=(Get-Item $current_dir).Basename

Write-Host ""
Write-Host "  Current dir    :" $current_name

$metada_file=$current_dir.path + "\workshop\metadata.vdf"

$steamcmd_path=$root_path + "\steamcmd\steamcmd.exe"
$steamcmd_dir=$root_path + "\steamcmd"

Write-Host ""
Write-Host "  Steam cmd path :" $steamcmd_path

$argument_list="+login mail@login.com __PASSWORD__ +workshop_build_item " + $metada_file + " +quit"

$processOptions = @{
    FilePath = $steamcmd_path
    WorkingDirectory = $steamcmd_dir
    ArgumentList = $argument_list
}

Write-Host "  ArgumentList   :" $argument_list

Write-Host ""
Start-Process @processOptions -NoNewWindow -Wait

Write-Host ""
Write-Host ""
read-host "Press ENTER to quit "